Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.evals.list_samples(run_id="eval_run_aa87e2b1112a455b8deabed784372198", limit=100)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.evals.listSamples({
runId: "eval_run_aa87e2b1112a455b8deabed784372198",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
ListEvalSamplesRequest req = new ListEvalSamplesRequest() {
RunId = "eval_run_aa87e2b1112a455b8deabed784372198",
};
var res = await sdk.Llm.Evals.ListSamplesAsync(req);
// handle responsecurl --request GET \
--url https://apigw.mka1.com/api/v1/llm/evals/runs/{run_id}/samples \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/evals/runs/{run_id}/samples', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<unknown>",
"data": [
{
"id": "<string>",
"object": "<unknown>",
"run_id": "<string>",
"task_id": "<string>",
"model": "<string>",
"sample_index": 0,
"dataset_row": {},
"prompt": "<string>",
"target": "<string>",
"response_id": "<string>",
"output_text": "<string>",
"extracted_output": "<string>",
"scores": {},
"judge": {},
"error": {},
"created_at": 0,
"started_at": 0,
"completed_at": 0
}
],
"has_more": true,
"first_id": "<string>",
"last_id": "<string>"
}Evals
List eval samples
Returns prompt, target, model output, extraction, score, and judge details for an eval run.
GET
/
api
/
v1
/
llm
/
evals
/
runs
/
{run_id}
/
samples
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.evals.list_samples(run_id="eval_run_aa87e2b1112a455b8deabed784372198", limit=100)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.evals.listSamples({
runId: "eval_run_aa87e2b1112a455b8deabed784372198",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
ListEvalSamplesRequest req = new ListEvalSamplesRequest() {
RunId = "eval_run_aa87e2b1112a455b8deabed784372198",
};
var res = await sdk.Llm.Evals.ListSamplesAsync(req);
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
Query Parameters
Required range:
1 <= x <= 500Available options:
queued, generating, ready_to_score, scoring, running, completed, failed Was this page helpful?
⌘I